# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):

        # Changing field 'IdlePowerImage.build_id'
        db.alter_column('idle_power_images', 'build_id', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'IdlePowerImage.build_number'
        db.alter_column('idle_power_images', 'build_number', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'IdlePowerImage.variant'
        db.alter_column('idle_power_images', 'variant', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'IdlePowerImage.device_specific_id'
        db.alter_column('idle_power_images', 'device_specific_id', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'IdlePowerImage.rootfs_id'
        db.alter_column('idle_power_images', 'rootfs_id', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'IdlePowerImage.release'
        db.alter_column('idle_power_images', 'release', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'IdlePowerImage.arch'
        db.alter_column('idle_power_images', 'arch', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'IdlePowerImage.customization_id'
        db.alter_column('idle_power_images', 'customization_id', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'IdlePowerImage.md5'
        db.alter_column('idle_power_images', 'md5', self.gf('django.db.models.fields.CharField')(unique=True, max_length=4096))

    def backwards(self, orm):

        # Changing field 'IdlePowerImage.build_id'
        db.alter_column('idle_power_images', 'build_id', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'IdlePowerImage.build_number'
        db.alter_column('idle_power_images', 'build_number', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'IdlePowerImage.variant'
        db.alter_column('idle_power_images', 'variant', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'IdlePowerImage.device_specific_id'
        db.alter_column('idle_power_images', 'device_specific_id', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'IdlePowerImage.rootfs_id'
        db.alter_column('idle_power_images', 'rootfs_id', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'IdlePowerImage.release'
        db.alter_column('idle_power_images', 'release', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'IdlePowerImage.arch'
        db.alter_column('idle_power_images', 'arch', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'IdlePowerImage.customization_id'
        db.alter_column('idle_power_images', 'customization_id', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'IdlePowerImage.md5'
        db.alter_column('idle_power_images', 'md5', self.gf('django.db.models.fields.CharField')(max_length=200, unique=True))

    models = {
        u'common.bug': {
            'Meta': {'object_name': 'Bug', 'db_table': "'bugs'"},
            'assignee': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'bug_no': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'importance': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'project': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'common.jenkinsbuild': {
            'Meta': {'unique_together': "(('job', 'build_number'),)", 'object_name': 'JenkinsBuild', 'db_table': "'jenkins_builds'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'build_bugs'", 'symmetrical': 'False', 'to': u"orm['common.Bug']"}),
            'build_description': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '1024'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'failed': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'job': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['common.JenkinsJob']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'common.jenkinsjob': {
            'Meta': {'object_name': 'JenkinsJob', 'db_table': "'jenkins_jobs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200'})
        },
        u'idle_power.idlepowerbuild': {
            'Meta': {'object_name': 'IdlePowerBuild', 'db_table': "'idle_power_builds'"},
            'build': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['common.JenkinsBuild']"}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['idle_power.IdlePowerImage']", 'null': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['idle_power.IdlePowerMachine']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'idle_power.idlepowerdetail': {
            'Meta': {'object_name': 'IdlePowerDetail', 'db_table': "'idle_power_details'"},
            'calculated_energy': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'charge_start': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'charge_used': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'duration': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'energy_start': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'energy_used': ('django.db.models.fields.PositiveIntegerField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['idle_power.IdlePowerImage']", 'null': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['idle_power.IdlePowerMachine']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'testcase': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'idle_power.idlepowerimage': {
            'Meta': {'object_name': 'IdlePowerImage', 'db_table': "'idle_power_images'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'build_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'customization_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'device_specific_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image_type': ('django.db.models.fields.CharField', [], {'default': "u'daily'", 'max_length': '10'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'md5': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'rootfs_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'idle_power.idlepowerlog': {
            'Meta': {'object_name': 'IdlePowerLog', 'db_table': "'idle_power_logs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'path': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'idle_power.idlepowermachine': {
            'Meta': {'object_name': 'IdlePowerMachine', 'db_table': "'idle_power_machines'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'mac_address': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['idle_power']