# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import patterns, url

urlpatterns = patterns(
    'idle_power.views',
    url(r'^$', 'arch_overview', name='idle_power_arch'),
    url(
        r'^arch/(?P<arch>\w+)/$',
        'arch_overview',
        name='idle_power_arch_overview'
    ),
    url(
        r'^machine/(?P<machine_id>\d+)/(?P<arch>\w+)/$',
        'machine_detail',
        name='idle_power_machine_detail'
    ),
    url(
        r'^machine/(?P<machine_id>\d+)/(?P<arch>\w+)/(?P<build_number>\d+)/$',
        'machine_raw_data',
        name='idle_power_machine_raw_data'
    ),
)
