# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):

        # Changing field 'SRUResult.name'
        db.alter_column('sru_results', 'name', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'SRUResult.jenkins_build'
        db.alter_column('sru_results', 'jenkins_build', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'Kernel.variant'
        db.alter_column('kernels', 'variant', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'Kernel.job_type'
        db.alter_column('kernels', 'job_type', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'Kernel.version'
        db.alter_column('kernels', 'version', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'Kernel.release'
        db.alter_column('kernels', 'release', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'Kernel.gpu'
        db.alter_column('kernels', 'gpu', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'Kernel.arch'
        db.alter_column('kernels', 'arch', self.gf('django.db.models.fields.CharField')(max_length=4096))

    def backwards(self, orm):

        # Changing field 'SRUResult.name'
        db.alter_column('sru_results', 'name', self.gf('django.db.models.fields.CharField')(max_length=255))

        # Changing field 'SRUResult.jenkins_build'
        db.alter_column('sru_results', 'jenkins_build', self.gf('django.db.models.fields.CharField')(max_length=255))

        # Changing field 'Kernel.variant'
        db.alter_column('kernels', 'variant', self.gf('django.db.models.fields.CharField')(max_length=100))

        # Changing field 'Kernel.job_type'
        db.alter_column('kernels', 'job_type', self.gf('django.db.models.fields.CharField')(max_length=100))

        # Changing field 'Kernel.version'
        db.alter_column('kernels', 'version', self.gf('django.db.models.fields.CharField')(max_length=100))

        # Changing field 'Kernel.release'
        db.alter_column('kernels', 'release', self.gf('django.db.models.fields.CharField')(max_length=100))

        # Changing field 'Kernel.gpu'
        db.alter_column('kernels', 'gpu', self.gf('django.db.models.fields.CharField')(max_length=100))

        # Changing field 'Kernel.arch'
        db.alter_column('kernels', 'arch', self.gf('django.db.models.fields.CharField')(max_length=100))

    models = {
        u'common.bug': {
            'Meta': {'object_name': 'Bug', 'db_table': "'bugs'"},
            'assignee': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'bug_no': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'importance': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'project': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'sru.kernel': {
            'Meta': {'object_name': 'Kernel', 'db_table': "'kernels'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'gpu': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'job_type': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'sru.sruresult': {
            'Meta': {'object_name': 'SRUResult', 'db_table': "'sru_results'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['common.Bug']", 'symmetrical': 'False'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'fail_count': ('django.db.models.fields.IntegerField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_build': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'kernel': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['sru.Kernel']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'pass_count': ('django.db.models.fields.IntegerField', [], {}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'skip_count': ('django.db.models.fields.IntegerField', [], {}),
            'total_count': ('django.db.models.fields.IntegerField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['sru']