/* # QA Dashboard
 * # Copyright 2012-2013 Canonical Ltd.
 *
 * # This program is free software: you can redistribute it and/or modify it
 * # under the terms of the GNU Affero General Public License version 3, as published
 * # by the Free Software Foundation.
 *
 * # This program is distributed in the hope that it will be useful, but
 * # WITHOUT ANY WARRANTY; without even the implied warranties of
 * # MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
 * # PURPOSE.  See the GNU Affero General Public License for more details.
 *
 * # You should have received a copy of the GNU Affero General Public License along
 * # with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

function hide_popup(elem_id) {
  elem = document.getElementById(elem_id);
  elem.style.display = "none";
}

function show_memory_popup(elem_id, process_name, url, label_id, chart_id, chart_label_id) {
  elem = document.getElementById(elem_id);
  elem.style.display = "block";

  label = document.getElementById(label_id);
  if (label !== null) {
    label.innerHTML = "<h2>" + process_name + "</h2>";
  }

  draw_memory_process_graph(url, chart_id, chart_label_id, true);
}

function show_test_popup(elem_id, test, popup_data) {
  elem = document.getElementById(elem_id);
  elem.style.display = "block";
  label = document.getElementById(test);
  console.log(popup_data)
  if (label !== null) {
      label.innerHTML = popup_data;
  }

}
