# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):

        # Changing field 'EventstatImage.image_type'
        db.alter_column('eventstat_image', 'image_type', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatDetail.init_function'
        db.alter_column('eventstat_details', 'init_function', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatDetail.kernel'
        db.alter_column('eventstat_details', 'kernel', self.gf('django.db.models.fields.CharField')(max_length=4096, null=True))

        # Changing field 'EventstatDetail.callback'
        db.alter_column('eventstat_details', 'callback', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatDetail.task'
        db.alter_column('eventstat_details', 'task', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatDetail.task_type'
        db.alter_column('eventstat_details', 'task_type', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatResult.init_function'
        db.alter_column('eventstat_results', 'init_function', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatResult.kernel'
        db.alter_column('eventstat_results', 'kernel', self.gf('django.db.models.fields.CharField')(max_length=4096, null=True))

        # Changing field 'EventstatResult.name'
        db.alter_column('eventstat_results', 'name', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatResult.task'
        db.alter_column('eventstat_results', 'task', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatResult.callback'
        db.alter_column('eventstat_results', 'callback', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatResult.task_type'
        db.alter_column('eventstat_results', 'task_type', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatLog.name'
        db.alter_column('eventstat_logs', 'name', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatUpgrade.variant'
        db.alter_column('eventstat_upgrade', 'variant', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatUpgrade.release'
        db.alter_column('eventstat_upgrade', 'release', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatUpgrade.from_release'
        db.alter_column('eventstat_upgrade', 'from_release', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatUpgrade.arch'
        db.alter_column('eventstat_upgrade', 'arch', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatMetric.kernel'
        db.alter_column('eventstat_metrics', 'kernel', self.gf('django.db.models.fields.CharField')(max_length=4096, null=True))

        # Changing field 'EventstatMetric.name'
        db.alter_column('eventstat_metrics', 'name', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'EventstatMachine.name'
        db.alter_column('eventstat_machines', 'name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=4096))

        # Changing field 'EventstatMachine.mac_address'
        db.alter_column('eventstat_machines', 'mac_address', self.gf('django.db.models.fields.CharField')(max_length=4096))

    def backwards(self, orm):

        # Changing field 'EventstatImage.image_type'
        db.alter_column('eventstat_image', 'image_type', self.gf('django.db.models.fields.CharField')(max_length=10))

        # Changing field 'EventstatDetail.init_function'
        db.alter_column('eventstat_details', 'init_function', self.gf('django.db.models.fields.CharField')(max_length=1024))

        # Changing field 'EventstatDetail.kernel'
        db.alter_column('eventstat_details', 'kernel', self.gf('django.db.models.fields.CharField')(max_length=1024, null=True))

        # Changing field 'EventstatDetail.callback'
        db.alter_column('eventstat_details', 'callback', self.gf('django.db.models.fields.CharField')(max_length=1024))

        # Changing field 'EventstatDetail.task'
        db.alter_column('eventstat_details', 'task', self.gf('django.db.models.fields.CharField')(max_length=1024))

        # Changing field 'EventstatDetail.task_type'
        db.alter_column('eventstat_details', 'task_type', self.gf('django.db.models.fields.CharField')(max_length=1024))

        # Changing field 'EventstatResult.init_function'
        db.alter_column('eventstat_results', 'init_function', self.gf('django.db.models.fields.CharField')(max_length=1024))

        # Changing field 'EventstatResult.kernel'
        db.alter_column('eventstat_results', 'kernel', self.gf('django.db.models.fields.CharField')(max_length=1024, null=True))

        # Changing field 'EventstatResult.name'
        db.alter_column('eventstat_results', 'name', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'EventstatResult.task'
        db.alter_column('eventstat_results', 'task', self.gf('django.db.models.fields.CharField')(max_length=1024))

        # Changing field 'EventstatResult.callback'
        db.alter_column('eventstat_results', 'callback', self.gf('django.db.models.fields.CharField')(max_length=1024))

        # Changing field 'EventstatResult.task_type'
        db.alter_column('eventstat_results', 'task_type', self.gf('django.db.models.fields.CharField')(max_length=1024))

        # Changing field 'EventstatLog.name'
        db.alter_column('eventstat_logs', 'name', self.gf('django.db.models.fields.CharField')(max_length=1024))

        # Changing field 'EventstatUpgrade.variant'
        db.alter_column('eventstat_upgrade', 'variant', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'EventstatUpgrade.release'
        db.alter_column('eventstat_upgrade', 'release', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'EventstatUpgrade.from_release'
        db.alter_column('eventstat_upgrade', 'from_release', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'EventstatUpgrade.arch'
        db.alter_column('eventstat_upgrade', 'arch', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'EventstatMetric.kernel'
        db.alter_column('eventstat_metrics', 'kernel', self.gf('django.db.models.fields.CharField')(max_length=1024, null=True))

        # Changing field 'EventstatMetric.name'
        db.alter_column('eventstat_metrics', 'name', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'EventstatMachine.name'
        db.alter_column('eventstat_machines', 'name', self.gf('django.db.models.fields.CharField')(max_length=200, unique=True))

        # Changing field 'EventstatMachine.mac_address'
        db.alter_column('eventstat_machines', 'mac_address', self.gf('django.db.models.fields.CharField')(max_length=200))

    models = {
        u'eventstat.eventstatdetail': {
            'Meta': {'object_name': 'EventstatDetail', 'db_table': "'eventstat_details'"},
            'callback': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'command': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['eventstat.EventstatImage']", 'null': 'True'}),
            'init_function': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'interval': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True'}),
            'kernel': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'log': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['eventstat.EventstatLog']", 'null': 'True'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['eventstat.EventstatMachine']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['eventstat.EventstatResult']", 'null': 'True'}),
            'task': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'task_type': ('django.db.models.fields.CharField', [], {'default': "[('Kernel', 'kernel')]", 'max_length': '4096'}),
            'total': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'upgrade': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['eventstat.EventstatUpgrade']", 'null': 'True'})
        },
        u'eventstat.eventstatimage': {
            'Meta': {'object_name': 'EventstatImage', 'db_table': "'eventstat_image'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'build_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'customization_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'device_specific_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image_type': ('django.db.models.fields.CharField', [], {'default': "u'daily'", 'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'md5': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'rootfs_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'eventstat.eventstatlog': {
            'Meta': {'object_name': 'EventstatLog', 'db_table': "'eventstat_logs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'path': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'eventstat.eventstatmachine': {
            'Meta': {'object_name': 'EventstatMachine', 'db_table': "'eventstat_machines'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'mac_address': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'eventstat.eventstatmetric': {
            'Meta': {'object_name': 'EventstatMetric', 'db_table': "'eventstat_metrics'"},
            'average': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['eventstat.EventstatImage']", 'null': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True'}),
            'kernel': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['eventstat.EventstatMachine']"}),
            'maximum': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'minimum': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'stddev': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'upgrade': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['eventstat.EventstatUpgrade']", 'null': 'True'})
        },
        u'eventstat.eventstatresult': {
            'Meta': {'object_name': 'EventstatResult', 'db_table': "'eventstat_results'"},
            'callback': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'command': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['eventstat.EventstatImage']", 'null': 'True'}),
            'init_function': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'interval': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True'}),
            'kernel': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'log': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['eventstat.EventstatLog']", 'null': 'True'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['eventstat.EventstatMachine']"}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['eventstat.EventstatMetric']", 'null': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'task': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'task_type': ('django.db.models.fields.CharField', [], {'default': "[('Kernel', 'kernel')]", 'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'upgrade': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['eventstat.EventstatUpgrade']", 'null': 'True'}),
            'value': ('django.db.models.fields.FloatField', [], {})
        },
        u'eventstat.eventstatupgrade': {
            'Meta': {'object_name': 'EventstatUpgrade', 'db_table': "'eventstat_upgrade'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'date': ('django.db.models.fields.DateTimeField', [], {}),
            'from_release': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        }
    }

    complete_apps = ['eventstat']