# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):

        # Changing field 'PowerImage.image_type'
        db.alter_column('power_images', 'image_type', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'PowerLog.name'
        db.alter_column('power_logs', 'name', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'PowerLog.path'
        db.alter_column('power_logs', 'path', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'PowerMachine.name'
        db.alter_column('power_machines', 'name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=4096))

        # Changing field 'PowerMachine.mac_address'
        db.alter_column('power_machines', 'mac_address', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'PowerMetric.kernel'
        db.alter_column('power_metrics', 'kernel', self.gf('django.db.models.fields.CharField')(max_length=4096, null=True))

        # Changing field 'PowerMetric.name'
        db.alter_column('power_metrics', 'name', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'PowerMetric.duration'
        db.alter_column('power_metrics', 'duration', self.gf('django.db.models.fields.CharField')(max_length=4096, null=True))

    def backwards(self, orm):

        # Changing field 'PowerImage.image_type'
        db.alter_column('power_images', 'image_type', self.gf('django.db.models.fields.CharField')(max_length=10))

        # Changing field 'PowerLog.name'
        db.alter_column('power_logs', 'name', self.gf('django.db.models.fields.CharField')(max_length=100))

        # Changing field 'PowerLog.path'
        db.alter_column('power_logs', 'path', self.gf('django.db.models.fields.CharField')(max_length=512))

        # Changing field 'PowerMachine.name'
        db.alter_column('power_machines', 'name', self.gf('django.db.models.fields.CharField')(max_length=200, unique=True))

        # Changing field 'PowerMachine.mac_address'
        db.alter_column('power_machines', 'mac_address', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'PowerMetric.kernel'
        db.alter_column('power_metrics', 'kernel', self.gf('django.db.models.fields.CharField')(max_length=100, null=True))

        # Changing field 'PowerMetric.name'
        db.alter_column('power_metrics', 'name', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'PowerMetric.duration'
        db.alter_column('power_metrics', 'duration', self.gf('django.db.models.fields.CharField')(max_length=75, null=True))

    models = {
        u'power.powerimage': {
            'Meta': {'object_name': 'PowerImage', 'db_table': "'power_images'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'build_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'customization_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'device_specific_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image_type': ('django.db.models.fields.CharField', [], {'default': "u'daily'", 'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'md5': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'rootfs_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'power.powerlog': {
            'Meta': {'object_name': 'PowerLog', 'db_table': "'power_logs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'path': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'power.powermachine': {
            'Meta': {'object_name': 'PowerMachine', 'db_table': "'power_machines'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'mac_address': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'power.powermetric': {
            'Meta': {'object_name': 'PowerMetric', 'db_table': "'power_metrics'"},
            'average': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'duration': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['power.PowerImage']"}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True'}),
            'kernel': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'logs': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'metrics'", 'symmetrical': 'False', 'to': u"orm['power.PowerLog']"}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['power.PowerMachine']"}),
            'maximum': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'minimum': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'stddev': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['power']