# QA Dashboard

# Copyright 2013-2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

internal = {
    'jenkins': 'http://d-jenkins.ubuntu-ci:8080/',
    'touch_jenkins': 'http://q-jenkins.ubuntu-ci:8080/',
}


def get_internal_jenkins(variant=''):
    if 'touch' in variant:
        jenkins = 'touch_jenkins'
    else:
        jenkins = 'jenkins'
    return internal[jenkins]


def primary_targets(variant):
    if variant == 'touch':
        return ('mako', 'flo', 'manta')
    elif variant == 'touch_ro':
        return ('mako', 'maguro')
    else:
        return None
